public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/ejabberd] f45: Fixed rhbz #564686 and some security-related issues (NOT critical)
@ 2026-09-23 19:06 Peter Lemenkov
  0 siblings, 0 replies; only message in thread
From: Peter Lemenkov @ 2026-09-23 19:06 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/ejabberd
Branch : f45
Commit : 29cb6d695f3683e96af10092b95ae94ff11a7831
Author : Peter Lemenkov <peter@fedoraproject.org>
Date   : 2010-03-18T11:05:59+00:00
Stats  : +21/-6 in 3 file(s)
URL    : https://src.fedoraproject.org/rpms/ejabberd/c/29cb6d695f3683e96af10092b95ae94ff11a7831?branch=f45

Log:
Fixed rhbz #564686 and some security-related issues (NOT critical)

---
diff --git a/ejabberd.init b/ejabberd.init
index 99552a6..7d91fb0 100644
--- a/ejabberd.init
+++ b/ejabberd.init
@@ -27,6 +27,9 @@ if [ ! "$CONFIG_FILE" ]; then
 	CONFIG_FILE=/etc/ejabberd/ejabberd.cfg
 fi
 
+# we're using symlinked consolehelper to check user's rights
+progctl=/usr/bin/ejabberdctl
+
 start() {
         echo -n $"Starting ejabberd: "
 	if [ "$ULIMIT_MAX_FILES" ]; then
@@ -34,12 +37,12 @@ start() {
 	fi
 
 	# check whether ejabberd was already started
-	if /usr/sbin/ejabberdctl status > /dev/null 2>&1 ; then
+	if $progctl status > /dev/null 2>&1 ; then
 		echo -n "already running" && warning && echo
 		return 0
 	fi
 
-	daemon /usr/sbin/ejabberdctl start
+	daemon $progctl start
 				--config $CONFIG_FILE \
 				--ctl-config /etc/ejabberd/ejabberdctl.cfg \
 				--logs "/var/log/ejabberd" \
@@ -60,12 +63,12 @@ stop() {
         echo -n "Shutting down ejabberd: "
 
 	# check whether ejabberd was already stopped
-	if ! /usr/sbin/ejabberdctl status > /dev/null 2>&1 ; then
+	if ! $progctl status > /dev/null 2>&1 ; then
 		echo -n "already stopped" && warning && echo
 		return 0
 	fi
 
-	daemon /usr/sbin/ejabberdctl stop 2>/dev/null
+	daemon $progctl stop 2>/dev/null
         RETVAL=$?
         [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ejabberd
         echo
@@ -82,6 +85,9 @@ restart() {
         start
 }
 
+# In order to prevent issues with "File operation error: eacces."
+cd /
+
 # See how we were called.
 case "$1" in
   start)
@@ -97,7 +103,7 @@ case "$1" in
         [ -f /var/lock/subsys/ejabberd ] && restart || :
         ;;
   status)
-	/usr/sbin/ejabberdctl status
+	$progctl status
         ;;
   *)
         echo "Usage: ejabberd {start|stop|restart|force-reload|condrestart|try-restart|status}"

diff --git a/ejabberd.spec b/ejabberd.spec
index 7029afa..2bd316c 100644
--- a/ejabberd.spec
+++ b/ejabberd.spec
@@ -12,7 +12,7 @@
 
 Name:           ejabberd
 Version:        2.1.3
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A distributed, fault-tolerant Jabber/XMPP server
 
 Group:          Applications/Internet
@@ -186,6 +186,8 @@ install -p -m 0644 src/odbc/pg.sql %{buildroot}%{_datadir}/%{name}
 # removed files, which would be packaged later (see 'files' section)
 rm -rf %{buildroot}%{_docdir}/%{name}
 
+# Clean up false security measure
+chmod 755 %{buildroot}%{_sbindir}/ejabberdctl
 
 %pre
 %{__fe_groupadd} %{uid} -r %{name} &>/dev/null || :
@@ -369,6 +371,12 @@ rm -rf %{buildroot}
 %doc doc/yozhikheader.png
 
 %changelog
+* Thu Mar 18 2010 Peter Lemenkov <lemenkov@gmail.com> 2.1.3-3
+- Relax access rights of /usr/sbin/ejabberdctl (from 0550 to 0755)
+- Invoke symlinked consolehelper instead of /usr/sbin/ejabberdctl
+  in init-script
+- Fixed "File operation error: eacces" issue. See rhbz #564686.
+
 * Thu Mar 18 2010 Peter Lemenkov <lemenkov@gmail.com> 2.1.3-2
 - Init-script enhancements
 

diff --git a/import.log b/import.log
index ec2e673..8bc9eec 100644
--- a/import.log
+++ b/import.log
@@ -19,3 +19,4 @@ ejabberd-2_1_2-1_fc12:HEAD:ejabberd-2.1.2-1.fc12.src.rpm:1264423410
 ejabberd-2_1_2-2_fc12:HEAD:ejabberd-2.1.2-2.fc12.src.rpm:1264770769
 ejabberd-2_1_3-1_fc12:HEAD:ejabberd-2.1.3-1.fc12.src.rpm:1268409107
 ejabberd-2_1_3-2_fc12:HEAD:ejabberd-2.1.3-2.fc12.src.rpm:1268908062
+ejabberd-2_1_3-3_fc12:HEAD:ejabberd-2.1.3-3.fc12.src.rpm:1268910275

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-23 19:06 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-23 19:06 [rpms/ejabberd] f45: Fixed rhbz #564686 and some security-related issues (NOT critical) Peter Lemenkov

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox